Name: 		mtaskbar
Version: 	0.8
Release: 	1
Copyright: 	GPL
Summary: 	KDE Taskbar 'version two' Applet for KDE's Kicker/Panel
Group: 		KDE
Url:		http://www.kde-apps.org/content/show.php?content=16261
Source: 	%{name}-%{version}.tar.bz2
Requires:	qt
BuildRequires:  qt-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386
Provides:	taskbarv2

%description
K Desktop Environment.
TaskBar v2 is an open source program for the Linux/X11 KDE desktop environment.

It is a modified TaskBar for KDE 3.5.10+ kicker panel which supports thumbnail
images of application windows, transparency on (semi) transparent panels and a
few other features to beatifulize the kicker panel without loosing convenient
functionality.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
